*===============================================================================
* File name: 		1a_RentalCapGains.do
* 
* Description:		This do-file creates RentalIncome.dta and CapitalGains.dta
*					datasets, which are used as intermediate datasets in the
*					1d_Inequality_Clean_loop and 1e_Inequality_Clean_2003_2010
*					do files. 
*
* Input:  					
*					$databases/Inputs/RawTaxData/MostUpdated_Apr23/Alquileres.csv
*					$databases/Inputs/RawTaxData/MostUpdated_Apr23/Ganacias_Capital.csv
*
* Output:
*					$databases/Output/CleanTaxData/RentalIncome.dta
*					$databases/Output/CleanTaxData/CapitalGains.dta
*===============================================================================

di in red "Loading and cleaning Capital Gains and Rental Income data"
	
//1. Rental Income
import delimited "$databases/Inputs/RawTaxData/MostUpdated_Apr23/Alquileres.csv", clear encoding(UTF-8)
	
rename año year 
rename ingreanualalquilerhab dmr_rentalincome

keep id year dmr_rentalincome


save "$databases/Output/CleanTaxData/RentalIncome.dta", replace

//2. Capital Gains
import delimited "$databases/Inputs/RawTaxData/MostUpdated_Apr23/Ganacias_Capital.csv", clear
	
rename año year 
rename total_utilidad_gc_neto dmr_capitalgains

keep id year dmr_capitalgains


save "$databases/Output/CleanTaxData/CapitalGains.dta", replace

